
#ifndef API_VRingBuf_h
#define API_VRingBuf_h


//[2018.11.01.목][완료!!!]
void __fastcall _API_VRingBuf_Create(void);

//[2018.11.01.목][완료!!!]
void __fastcall _API_VRingBuf_Delete(void);

//[2018.11.01.목][완료!!!]
void __fastcall _API_VRingBuf_Clear(void);

//[2018.11.01.목][완료!!!]
void __fastcall _API_VRingBuf_GetCount(void);

//[2018.11.01.목][완료!!!]
void __fastcall _API_VRingBuf_Write(void);

//[2018.11.02.금][완료!!!]
void __fastcall _API_VRingBuf_WriteX(void);

//[2018.11.01.목][완료!!!]
void __fastcall _API_VRingBuf_Read(void);

//[2018.11.02.금][완료!!!]
void __fastcall _API_VRingBuf_ReadX(void);


//[2018.11.07.수][완료!!!]
void __fastcall _API_VRingBuf_DataArea_Check(void);

//[2018.11.07.수][완료!!!]
void __fastcall _API_VRingBuf_Info(void);

//[2018.11.07.수][완료!!!]
void __fastcall _API_VRingBufRead_RxPos_Set(void);

//[2018.11.07.수][완료!!!]
void __fastcall _API_VRingBufRead_RxPos_Set_WrInx(void);

//[2018.11.07.수][완료!!!]
void __fastcall _API_VRingBufRead_ReadX(void);

//[2018.11.07.수][완료!!!]
void __fastcall _API_VRingBufRead_ReadX_Back(void);


#endif